{pkgs', ...}:
pkgs'.writeShellScriptBin "create-documentation-files" ''
  source ${pkgs'.common}/bin/common

  echo_section "create documentation files for a component class"
  echo_hint "The command is executed in the current working directory and not in a nix derivation."
  cd_working_dir

  echo_step "select component class"
  cd source
  targetPath=$(${pkgs'.gum}/bin/gum file --directory=false --file)
  cd ..

  if [[ -z "$targetPath" ]]; then
      echo_fail "Target file is empty. Exiting."
      exit 1
  fi

  if [[ ! -f "$targetPath" ]]; then
      echo_fail "Target file does not exist. Exiting."
      exit 1
  fi

  echo_step "create documentation files for $targetPath"

  targetPath=$(realpath --relative-to=source "$targetPath")

  ## --inspect-brk (debug flag)
  if ! ${pkgs'.projectNodeJS}/bin/node development/scripts/createNewClass.mjs --path="$targetPath" --onlydoc; then
      echo_fail "script createNewClass.mjs failed, check your JS!"
      exit 1
  fi

   echo_ok "New component class created"


''
